package impresion;

import static org.junit.Assert.*;

import org.junit.Before;
import org.junit.Test;

public class DocumentTest {

	private Document emptyDocument;
	private Document completeDocument;
	
	@Before
	public void setup(){
		this.emptyDocument = new Document();
		this.completeDocument = new Document("Diseo", "El diseo es muy til", "Ignacio Vidal");
	}
	
	@Test
	public void testNewEmpty() {
		assertTrue(this.emptyDocument.getNombre().isEmpty());
		assertTrue(this.emptyDocument.getCreador().isEmpty());
		assertTrue(this.emptyDocument.getContenido().isEmpty());
	}
	
	@Test
	public void testNewComplete() {
		assertTrue(this.completeDocument.getNombre().equals("Diseo"));
		assertTrue(this.completeDocument.getCreador().equals("El diseo es muy til"));
		assertTrue(this.completeDocument.getContenido().equals("Ignacio Vidal"));
	}

}
